Subject: bug#72704: 29.4; repunctuate-sentences ignores NO-QUERY

From: Brian Green <[email-masked]>
Date: Sat, 24 Aug 2024 01:29:11 -0700

I submitted this "bug" report because I mis-interpreted the docstring,
and because I was approaching this command with a preconceived idea
about how it should work.  I think Eli is right.  I can't think of a
good reason why I would need to stipulate a certain behavior before
calling the command which I can already get at any point while the
command is running.

Thanks everyone for your patience.

Brian

On Sat, Aug 24, 2024 at 12:54 AM Joseph Turner
<[email-masked]> wrote:
>
> Eli Zaretskii <[email-masked]> writes:
>
> >> Cc: [email-masked], [email-masked], Juri Linkov <[email-masked]>
> >> Date: Fri, 23 Aug 2024 23:30:52 -0700
> >> From:  Joseph Turner via "Bug reports for GNU Emacs,
> >>  the Swiss army knife of text editors" <[email-masked]>
> >>
> >> Please see the attached patch, which makes repunctuate-sentences respect
> >> the current prefix argument.
> >
> > Is it justified to complicate the UI of this command, given that the
> > user can already have this behavior by typing '!' and the first prompt
> > of query-replace?
>
> I don't know.  Brian?
>
> Thanks,
>
> Joseph